import { world as World } from "mojang-minecraft"
import {
    ActionFormData,
    ModalFormData
} from "mojang-minecraft-ui"
import {
    BlackCellphoneformStoreApp
} from "./store_app"
function getScore(objective, player) {
    try {
        const command = player.runCommand(`scoreboard players test @s "${objective}" * *`);
        return parseInt(command.statusMessage.split(/\s+/)[1]);
    } catch {
        return 0;
    }
}
//Settings App
export function BlackCellphoneformSettingsApp(player, lore, battery) {
    let functions = []
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_settings`)
    actionForm.body(`${battery} ${lore[1]}%`)
    {
        actionForm.button("button.back", "textures/icons_apps/back.png")
        functions.push(r => {
            BlackCellphoneForm(player, lore, battery)
        })
    }
    if (!player.hasTag("want_notific")) {
        actionForm.button("button.enable_notific", "textures/icons_apps/notific_off.png")
        functions.push(r => {
            player.runCommand("tag @s add want_notific")
            BlackCellphoneformSettingsApp(player, lore, battery)
        })
    }
    if (player.hasTag("want_notific")) {
        actionForm.button("button.disable_notific", "textures/icons_apps/notific_on.png")
        functions.push(r => {
            player.runCommand("tag @s remove want_notific")
            BlackCellphoneformSettingsApp(player, lore, battery)
        })
    }
    actionForm.show(player).then(r => {
        functions[r.selection]()
    })
}
//AppStore App
export function BlackCellphoneformAppStoreApp(player, lore, battery) {
    let actionForm = new ActionFormData()
    const store_purchased_purchase = []
    if (player.hasTag('store_app')) {
        store_purchased_purchase.push("purchased")
    }
    if (!player.hasTag('store_app')) {
        store_purchased_purchase.push("purchase")
    }
    const bank_purchased_purchase = []
    if (player.hasTag('bank_app')) {
        bank_purchased_purchase.push("purchased")
    }
    if (!player.hasTag('bank_app')) {
        bank_purchased_purchase.push("purchase")
    }
    const music_purchased_purchase = []
    if (player.hasTag('music_app')) {
        music_purchased_purchase.push("purchased")
    }
    if (!player.hasTag('music_app')) {
        music_purchased_purchase.push("purchase")
    }
    const daynight_purchased_purchase = []
    if (player.hasTag('daynight_app')) {
        daynight_purchased_purchase.push("purchased")
    }
    if (!player.hasTag('daynight_app')) {
        daynight_purchased_purchase.push("purchase")
    }
    const weather_purchased_purchase = []
    if (player.hasTag('weather_app')) {
        weather_purchased_purchase.push("purchased")
    }
    if (!player.hasTag('weather_app')) {
        weather_purchased_purchase.push("purchase")
    }
    const effect_purchased_purchase = []
    if (player.hasTag('effect_app')) {
        effect_purchased_purchase.push("purchased")
    }
    if (!player.hasTag('effect_app')) {
        effect_purchased_purchase.push("purchase")
    }
    const discraft_purchased_purchase = []
    if (player.hasTag('discraft_app')) {
        discraft_purchased_purchase.push("purchased")
    }
    if (!player.hasTag('discraft_app')) {
        discraft_purchased_purchase.push("purchase")
    }
    actionForm.title(`title.smartphone_appstore§2$${getScore('money', player)}`)
    actionForm.body(`${battery} ${lore[1]}%`)
    actionForm.button("button.back", "textures/icons_apps/back_full.png")
    actionForm.button(`button.store_app_${store_purchased_purchase}`, `textures/icons_apps/app_store/store_${store_purchased_purchase}.png`)
    actionForm.button(`button.bank_app_${bank_purchased_purchase}`, `textures/icons_apps/app_store/bank_${bank_purchased_purchase}.png`)
    actionForm.button(`button.music_app_${music_purchased_purchase}`, `textures/icons_apps/app_store/music_${music_purchased_purchase}.png`)
    actionForm.button(`button.daynight_app_${daynight_purchased_purchase}`, `textures/icons_apps/app_store/daynight_${daynight_purchased_purchase}.png`)
    actionForm.button(`button.weather_app_${weather_purchased_purchase}`, `textures/icons_apps/app_store/weather_${weather_purchased_purchase}.png`)
    actionForm.button(`button.effect_app_${effect_purchased_purchase}`, `textures/icons_apps/app_store/effect_${effect_purchased_purchase}.png`)
    actionForm.button(`button.discraft_app_${discraft_purchased_purchase}`, `textures/icons_apps/app_store/discraft_${discraft_purchased_purchase}.png`)
    actionForm.show(player).then(actionFormResponse => {
        const { selection } = actionFormResponse
        if (selection == 0) {
            BlackCellphoneForm(player, lore, battery)
        }
        if (selection == 1) {
            if (player.hasTag('store_app')) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.you_already_have_this_app"}]}`)
            }
            if (getScore('money', player) < 15 && !player.hasTag('store_app')) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 14 && !player.hasTag('store_app')) {
                player.runCommand(`tag @s add store_app`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.app_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 15`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformAppStoreApp(player, lore, battery)
            }
        }
        if (selection == 2) {
            if (player.hasTag('bank_app')) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.you_already_have_this_app"}]}`)
            }
            if (!player.hasTag('bank_app')) {
                player.runCommand(`tag @s add bank_app`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.app_purchased_sucessfully"}]}`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformAppStoreApp(player, lore, battery)
            }
        }
        if (selection == 3) {
            if (player.hasTag('music_app')) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.you_already_have_this_app"}]}`)
            }
            if (getScore('money', player) < 20 && !player.hasTag('music_app')) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 19 && !player.hasTag('music_app')) {
                player.runCommand(`tag @s add music_app`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.app_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 20`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformAppStoreApp(player, lore, battery)
            }
        }
        if (selection == 4) {
            if (player.hasTag('daynight_app')) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.you_already_have_this_app"}]}`)
            }
            if (getScore('money', player) < 50 && !player.hasTag('daynight_app')) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 49 && !player.hasTag('daynight_app')) {
                player.runCommand(`tag @s add daynight_app`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.app_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 50`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformAppStoreApp(player, lore, battery)
            }
        }
        if (selection == 5) {
            if (player.hasTag('weather_app')) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.you_already_have_this_app"}]}`)
            }
            if (getScore('money', player) < 50 && !player.hasTag('weather_app')) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 49 && !player.hasTag('weather_app')) {
                player.runCommand(`tag @s add weather_app`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.app_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 50`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformAppStoreApp(player, lore, battery)
            }
        }
        if (selection == 6) {
            if (player.hasTag('effect_app')) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.you_already_have_this_app"}]}`)
            }
            if (getScore('money', player) < 25 && !player.hasTag('effect_app')) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 24 && !player.hasTag('effect_app')) {
                player.runCommand(`tag @s add effect_app`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.app_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 25`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformAppStoreApp(player, lore, battery)
            }
        }
        if (selection == 7) {
            if (player.hasTag('discraft_app')) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.you_already_have_this_app"}]}`)
            }
            if (getScore('money', player) < 25 && !player.hasTag('discraft_app')) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.not_enought_money"}]}`)
            }
            if (getScore('money', player) > 24 && !player.hasTag('discraft_app')) {
                player.runCommand(`tag @s add discraft_app`)
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.app_purchased_sucessfully"}]}`)
                player.runCommand(`scoreboard players remove @s money 25`)
                player.runCommand(`playsound random.levelup @s ~~~ 1 1`)
                BlackCellphoneformAppStoreApp(player, lore, battery)
            }
        }
    })
}
//Bank App
export function BlackCellphoneformBankTransferApp(player, lore, battery) {
    let form = new ModalFormData()
    let playerNameList = Array.from(World.getPlayers(), plr => plr.nameTag)
    form.title(`title.smartphone_bank` + ` ${battery} ${lore[1]}%`)
    form.dropdown("text.players_online", playerNameList)
    form.textField("text.quantity", "text.type_here")
    form.show(player).then((response) => {
        if (response.formValues[1]) {
            if (response.formValues[1] < 0) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.you_cant_send_negative_money"}]}`)
            }
            if (playerNameList[response.formValues[0]] == player.nameTag && response.formValues[1] > 0) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.you_cant_send_money_to_yourself"}]}`)
            } else {
                if (getScore('money', player) < response.formValues[1] && response.formValues[1] > 0) {
                    player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.you_dont_have_money"}]}`)
                }
                if (getScore('money', player) >= response.formValues[1] && response.formValues[1] > 0) {
                    player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.transfer_sucessfull"}]}`)
                    player.runCommand(`scoreboard players remove @s money ${response.formValues[1]}`)
                    player.runCommand(`scoreboard players add ${playerNameList[response.formValues[0]]} money ${response.formValues[1]}`)
                    player.runCommand(`execute ${playerNameList[response.formValues[0]]} ~~~ playsound random.notification @s[hasitem={item=smartphone:black_smartphone}, tag=want_notific] ~~~ 1 1`)
                    player.runCommand(`execute ${playerNameList[response.formValues[0]]} ~~~ titleraw @s[hasitem={item=smartphone:black_smartphone}, tag=want_notific] actionbar {"rawtext":[{"translate":"text_smartphoneaddon.message"},{"text":"\n"},{"text":" ${player.nameTag} "},{"translate":"text_smartphoneaddon.made_a_transfer"},{"text":" §2$${response.formValues[1]} "},{"translate":"text_smartphoneaddon.for_you"}]}`)
                }
            }
        }
    })
}
export function BlackCellphoneformBankDepositeApp(player, lore, battery) {
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_deposite§2$${getScore('money', player)}`)
    actionForm.body(`${battery} ${lore[1]}%`)
    actionForm.button("button.iron_ingot", "textures/items/iron_ingot.png")
    actionForm.button("button.gold_ingot", "textures/items/gold_ingot.png")
    actionForm.button("button.diamond", "textures/items/diamond.png")
    actionForm.button("button.emerald", "textures/items/emerald.png")
    actionForm.show(player).then(actionFormResponse => {
        const { selection } = actionFormResponse
        if (selection == 0) {
            player.runCommand(`function sell_iron_ingot`)
            BlackCellphoneformBankDepositeApp(player, lore, battery)
        }
        if (selection == 1) {
            player.runCommand(`function sell_gold_ingot`)
            BlackCellphoneformBankDepositeApp(player, lore, battery)
        }
        if (selection == 2) {
            player.runCommand(`function sell_diamond`)
            BlackCellphoneformBankDepositeApp(player, lore, battery)
        }
        if (selection == 3) {
            player.runCommand(`function sell_emerald`)
            BlackCellphoneformBankDepositeApp(player, lore, battery)
        }
    })
}
export function BlackCellphoneformBankApp(player, lore, battery) {
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_bank§2$${getScore('money', player)}`)
    actionForm.body(`${battery} ${lore[1]}%`)
    actionForm.button("button.back", "textures/icons_apps/back.png")
    actionForm.button("button.transfer_money", "textures/icons_apps/transfer.png")
    actionForm.button("button.deposite_money", "textures/icons_apps/deposite.png")
    actionForm.show(player).then(actionFormResponse => {
        const { selection } = actionFormResponse
        if (selection == 0) {
            BlackCellphoneForm(player, lore, battery)
        }
        if (selection == 1) {
            BlackCellphoneformBankTransferApp(player, lore, battery)
        }
        if (selection == 2) {
            BlackCellphoneformBankDepositeApp(player, lore, battery)
        }
    })
}
//Spotcraft App
export function BlackCellphoneformMusicAppAlbum1(player, lore, battery) {
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_music`)
    actionForm.body(`${battery} ${lore[1]}%`)
    actionForm.button("button.back", "textures/icons_apps/back.png")
    actionForm.button("button.stop_music", "textures/icons_apps/cancel.png")
    actionForm.button("Pigstep\n§8Lena Raine", "textures/items/record_pigstep.png")
    actionForm.button("Thirteen (Disc 13)\n§8C418", "textures/items/record_13.png")
    actionForm.button("Cat\n§8C418", "textures/items/record_cat.png")
    actionForm.button("Blocks\n§8C418", "textures/items/record_blocks.png")
    actionForm.button("Chirp\n§8C418", "textures/items/record_chirp.png")
    actionForm.button("Far\n§8C418", "textures/items/record_far.png")
    actionForm.button("Mall\n§8C418", "textures/items/record_mall.png")
    actionForm.button("Mellohi\n§8C418", "textures/items/record_mellohi.png")
    actionForm.button("Stal\n§8C418", "textures/items/record_stal.png")
    actionForm.button("Strad\n§8C418", "textures/items/record_strad.png")
    actionForm.button("Ward\n§8C418", "textures/items/record_ward.png")
    actionForm.button("Wait\n§8C418", "textures/items/record_wait.png")
    actionForm.button("Otherside\n§8Lena Raine", "textures/items/record_otherside.png")
    actionForm.show(player).then(actionFormResponse => {
        const { selection } = actionFormResponse
        if (selection == 0) {
            BlackCellphoneformMusicApp(player, lore, battery)
        }
        if (selection == 1) {
            player.runCommand("stopsound @s")
        }
        if (selection == 2) {
            player.runCommand("stopsound @s")
            player.runCommand("playsound record.pigstep @s")
        }
        if (selection == 3) {
            player.runCommand("stopsound @s")
            player.runCommand("playsound record.13 @s")
        }
        if (selection == 4) {
            player.runCommand("stopsound @s")
            player.runCommand("playsound record.cat @s")
        }
        if (selection == 5) {
            player.runCommand("stopsound @s")
            player.runCommand("playsound record.blocks @s")
        }
        if (selection == 6) {
            player.runCommand("stopsound @s")
            player.runCommand("playsound record.chirp @s")
        }
        if (selection == 7) {
            player.runCommand("stopsound @s")
            player.runCommand("playsound record.far @s")
        }
        if (selection == 8) {
            player.runCommand("stopsound @s")
            player.runCommand("playsound record.mall @s")
        }
        if (selection == 9) {
            player.runCommand("stopsound @s")
            player.runCommand("playsound record.mellohi @s")
        }
        if (selection == 10) {
            player.runCommand("stopsound @s")
            player.runCommand("playsound record.stal @s")
        }
        if (selection == 11) {
            player.runCommand("stopsound @s")
            player.runCommand("playsound record.strad @s")
        }
        if (selection == 12) {
            player.runCommand("stopsound @s")
            player.runCommand("playsound record.ward @s")
        }
        if (selection == 13) {
            player.runCommand("stopsound @s")
            player.runCommand("playsound record.wait @s")
        }
        if (selection == 14) {
            player.runCommand("stopsound @s")
            player.runCommand("playsound record.otherside @s")
        }
    })
}
export function BlackCellphoneformMusicApp(player, lore, battery) {
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_music`)
    actionForm.body(`${battery} ${lore[1]}%`)
    actionForm.button("button.back", "textures/icons_apps/back.png")
    actionForm.button("Minecraft Musics\n§8C418, Lena Raine... - Album", "textures/icons_apps/music_app/minecraft_volume_alpha.png")
    actionForm.show(player).then(actionFormResponse => {
        const { selection } = actionFormResponse
        if (selection == 0) {
            BlackCellphoneForm(player, lore, battery)
        }
        if (selection == 1) {
            BlackCellphoneformMusicAppAlbum1(player, lore, battery)
        }
    })
}
//DayNight App
export function BlackCellphoneformDayNightApp(player, lore, battery) {
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_daynight`)
    actionForm.body(`${battery} ${lore[1]}%`)
    actionForm.button("button.back", "textures/icons_apps/back.png")
    actionForm.button("button.midnight", "textures/icons_apps/day_night_app/midnight.png")
    actionForm.button("button.night", "textures/icons_apps/day_night_app/night.png")
    actionForm.button("button.sunset", "textures/icons_apps/day_night_app/sunset.png")
    actionForm.button("button.noon", "textures/icons_apps/day_night_app/noon.png")
    actionForm.button("button.sunrise", "textures/icons_apps/day_night_app/sunrise.png")
    actionForm.button("button.day", "textures/icons_apps/day_night_app/day.png")
    actionForm.show(player).then(actionFormResponse => {
        const { selection } = actionFormResponse
        if (selection == 0) {
            BlackCellphoneForm(player, lore, battery)
        }
        if (selection == 1) {
            player.runCommand("time set midnight")
            BlackCellphoneformDayNightApp(player, lore, battery)
        }
        if (selection == 2) {
            player.runCommand("time set night")
            BlackCellphoneformDayNightApp(player, lore, battery)
        }
        if (selection == 3) {
            player.runCommand("time set sunset")
            BlackCellphoneformDayNightApp(player, lore, battery)
        }
        if (selection == 4) {
            player.runCommand("time set noon")
            BlackCellphoneformDayNightApp(player, lore, battery)
        }
        if (selection == 5) {
            player.runCommand("time set sunrise")
            BlackCellphoneformDayNightApp(player, lore, battery)
        }
        if (selection == 6) {
            player.runCommand("time set day")
            BlackCellphoneformDayNightApp(player, lore, battery)
        }
    })
}
//Weather App
export function BlackCellphoneformWeatherApp(player, lore, battery) {
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_weather`)
    actionForm.body(`${battery} ${lore[1]}%`)
    actionForm.button("button.back", "textures/icons_apps/back.png")
    actionForm.button("button.clear", "textures/icons_apps/weather_app/clear.png")
    actionForm.button("button.rain", "textures/icons_apps/weather_app/rain.png")
    actionForm.button("button.storm", "textures/icons_apps/weather_app/storm.png")
    actionForm.show(player).then(actionFormResponse => {
        const { selection } = actionFormResponse
        if (selection == 0) {
            BlackCellphoneForm(player, lore, battery)
        }
        if (selection == 1) {
            player.runCommand("weather clear")
            BlackCellphoneformWeatherApp(player, lore, battery)
        }
        if (selection == 2) {
            player.runCommand("weather rain")
            BlackCellphoneformWeatherApp(player, lore, battery)
        }
        if (selection == 3) {
            player.runCommand("weather thunder")
            BlackCellphoneformWeatherApp(player, lore, battery)
        }
    })
}
//Effect App
export function BlackCellphoneformEffectApp(player, lore, battery) {
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_effect`)
    actionForm.body(`${battery} ${lore[1]}%`)
    actionForm.button("button.back", "textures/icons_apps/back.png")
    actionForm.button("button.regeneration", "textures/ui/regeneration_effect.png")
    actionForm.button("button.speed", "textures/ui/speed_effect.png")
    actionForm.button("button.jump_boost", "textures/ui/jump_boost_effect.png")
    actionForm.button("button.haste", "textures/ui/haste_effect.png")
    actionForm.button("button.night_vision", "textures/ui/night_vision_effect.png")
    actionForm.button("button.water_breathing", "textures/ui/water_breathing_effect.png")
    actionForm.show(player).then(actionFormResponse => {
        const { selection } = actionFormResponse
        if (selection == 0) {
            BlackCellphoneForm(player, lore, battery)
        }
        if (selection == 1) {
            player.runCommand("effect @s regeneration 30 5")
            BlackCellphoneformEffectApp(player, lore, battery)
        }
        if (selection == 2) {
            player.runCommand("effect @s speed 30 5")
            BlackCellphoneformEffectApp(player, lore, battery)
        }
        if (selection == 3) {
            player.runCommand("effect @s jump_boost 30 5")
            BlackCellphoneformEffectApp(player, lore, battery)
        }
        if (selection == 4) {
            player.runCommand("effect @s haste 30 5")
            BlackCellphoneformEffectApp(player, lore, battery)
        }
        if (selection == 5) {
            player.runCommand("effect @s night_vision 30 5")
            BlackCellphoneformEffectApp(player, lore, battery)
        }
        if (selection == 6) {
            player.runCommand("effect @s water_breathing 30 5")
            BlackCellphoneformEffectApp(player, lore, battery)
        }
    })
}
//Discraft App
export function BlackCellphoneformDiscraftApp(player, lore, battery) {
    let form = new ModalFormData()
    let playerNameList = Array.from(World.getPlayers(), plr => plr.nameTag)
    form.title(`title.smartphone_discraft` + ` ${battery} ${lore[1]}%`)
    form.dropdown("text.players_online", playerNameList)
    form.textField("text.message", "text.type_here")
    form.show(player).then((response) => {
        if (response.formValues[1]) {
            if (playerNameList[response.formValues[0]] == player.nameTag) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.you_cant_send_a_message_to_yourself"}]}`)
            }
            if (playerNameList[response.formValues[0]] !== player.nameTag) {
                player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.from_you"},{"text":"§r${playerNameList[response.formValues[0]]}"},{"text":"> "},{"text":"${response.formValues[1]}"}]}`)
                player.runCommand(`tellraw ${playerNameList[response.formValues[0]]} {"rawtext":[{"translate":"text.from"},{"text":" §r${player.nameTag} "},{"translate":"text.to_you"},{"text":"${response.formValues[1]}"}]}`)
                player.runCommand(`execute ${playerNameList[response.formValues[0]]} ~~~ playsound random.notification @s[hasitem={item=smartphone:black_smartphone}, tag=want_notific] ~~~ 1 1`)
                player.runCommand(`execute ${playerNameList[response.formValues[0]]} ~~~ titleraw @s[hasitem={item=smartphone:black_smartphone}, tag=want_notific] actionbar {"rawtext":[{"translate":"text_smartphoneaddon.message"},{"text":"\n"},{"text":" ${player.nameTag} "},{"translate":"text_smartphoneaddon.send_a_message"}]}`)
            }
        }
    })
}
export function BlackCellphoneForm(player, lore, battery) {
    let functions = []
    let actionForm = new ActionFormData()
    actionForm.title(`title.smartphone_home`)
    actionForm.body(`${battery} ${lore[1]}%`)
    {
        actionForm.button("button.settings_app", "textures/icons_apps/settings.png")
        functions.push(r => {
            BlackCellphoneformSettingsApp(player, lore, battery)
        })
    }
    {
        actionForm.button("button.appstore_app", "textures/icons_apps/app_store.png")
        functions.push(r => {
            BlackCellphoneformAppStoreApp(player, lore, battery)
        })
    }
    if (player.hasTag("store_app")) {
        actionForm.button("button.store_app", "textures/icons_apps/store.png")
        functions.push(r => {
            BlackCellphoneformStoreApp(player, lore, battery)
        })
    }
    if (player.hasTag("bank_app")) {
        actionForm.button("button.bank_app", "textures/icons_apps/bank.png")
        functions.push(r => {
            BlackCellphoneformBankApp(player, lore, battery)
        })
    }
    if (player.hasTag("music_app")) {
        actionForm.button("button.music_app", "textures/icons_apps/music.png")
        functions.push(r => {
            BlackCellphoneformMusicApp(player, lore, battery)
        })
    }
    if (player.hasTag("daynight_app")) {
        actionForm.button("button.daynight_app", "textures/icons_apps/daynight.png")
        functions.push(r => {
            BlackCellphoneformDayNightApp(player, lore, battery)
        })
    }
    if (player.hasTag("weather_app")) {
        actionForm.button("button.weather_app", "textures/icons_apps/weather.png")
        functions.push(r => {
            BlackCellphoneformWeatherApp(player, lore, battery)
        })
    }
    if (player.hasTag("effect_app")) {
        actionForm.button("button.effect_app", "textures/icons_apps/effect.png")
        functions.push(r => {
            BlackCellphoneformEffectApp(player, lore, battery)
        })
    }
    if (player.hasTag("discraft_app")) {
        actionForm.button("button.discraft_app", "textures/icons_apps/discraft.png")
        functions.push(r => {
            BlackCellphoneformDiscraftApp(player, lore, battery)
        })
    }
    actionForm.show(player).then(r => {
        functions[r.selection]()
    })
}