import { world as World } from "mojang-minecraft"

import {
    ActionFormData,
    MessageFormData,
    ModalFormData
} from "mojang-minecraft-ui"
import {
    BlackCellphoneForm
} from "./black_smartphone"

World.events.beforeItemUse.subscribe(eventData => {
    const { item, source } = eventData
    
    if (item.id !== "minecraft:emerald" ) return
    let form = new ModalFormData()
    let playerNameList = Array.from(World.getPlayers(), plr => plr.nameTag)
    form.title("Celular 2.0 da Mojang")
    form.icon("textures/items/stick")
    form.dropdown("Lista de Players", playerNameList)
    form.textField("Mensagem:","Sua mensagem aqui")
    form.show(source).then((response) => {
        if (response.formValues[1]) {
            source.runCommand(`titleraw ${playerNameList[response.formValues[0]]} actionbar {"rawtext":[{"text":"§lVocê recebeu uma mensagem de: ${source.nameTag}"}]}`)
            source.runCommand(`tellraw ${source.nameTag} {"rawtext":[{"text":"§r<Você para ${playerNameList[response.formValues[0]]}>"},{"text":" ${response.formValues[1]}"}]}`)
            source.runCommand(`tellraw ${playerNameList[response.formValues[0]]} {"rawtext":[{"text":"§lMensagem de:\n§r<${source.nameTag}>"},{"text":" ${response.formValues[1]}"}]}`)
        }
    })
})
World.events.tick.subscribe((tickEvent) => {
    try {
        for (let sender of World.getPlayers()) {
            let container = sender.getComponent("minecraft:inventory").container
            let item = container.getItem(sender.selectedSlot)
            let durability = item.getComponent("minecraft:durability")
            let currentDurability = durability.damage
            let maximumDurability = durability.maxDurability
            if (item.id !== "smartphone:black_smartphone") return
                item.setLore([`${item.getLore()[0]}`, `${maximumDurability - currentDurability}` + "%"])
                container.setItem(sender.selectedSlot, item)
        }
    } catch { }
})
World.events.beforeItemUse.subscribe(({ item, source }) => {
    const player = source
    let lore = item.getLore()
    const battery = []
    if (lore[1] == `100%` || lore[1] == `99%` || lore[1] == `98%` || lore[1] == `97%` || lore[1] == `96%` || lore[1] == `95%` || lore[1] == `94%` || lore[1] == `93%` || lore[1] == `92%` || lore[1] == `91%` ) {
        battery.push("")
    }
    if (lore[1] == `90%` || lore[1] == `89%` || lore[1] == `88%` || lore[1] == `87%` || lore[1] == `86%` || lore[1] == `85%` || lore[1] == `84%` || lore[1] == `83%` || lore[1] == `82%` || lore[1] == `81%` ) {
        battery.push("")
    }
    if (lore[1] == `80%` || lore[1] == `79%` || lore[1] == `78%` || lore[1] == `77%` || lore[1] == `76%` || lore[1] == `75%` || lore[1] == `74%` || lore[1] == `73%` || lore[1] == `72%` || lore[1] == `71%` ) {
        battery.push("")
    }
    if (lore[1] == `70%` || lore[1] == `69%` || lore[1] == `68%` || lore[1] == `67%` || lore[1] == `66%` || lore[1] == `65%` || lore[1] == `64%` || lore[1] == `63%` || lore[1] == `62%` || lore[1] == `61%` ) {
        battery.push("")
    }
    if (lore[1] == `60%` || lore[1] == `59%` || lore[1] == `58%` || lore[1] == `57%` || lore[1] == `56%` || lore[1] == `55%` || lore[1] == `54%` || lore[1] == `53%` || lore[1] == `52%` || lore[1] == `51%` ) {
        battery.push("")
    }
    if (lore[1] == `50%` || lore[1] == `49%` || lore[1] == `48%` || lore[1] == `47%` || lore[1] == `46%` || lore[1] == `45%` || lore[1] == `44%` || lore[1] == `43%` || lore[1] == `42%` || lore[1] == `41%` ) {
        battery.push("")
    }
    if (lore[1] == `40%` || lore[1] == `39%` || lore[1] == `38%` || lore[1] == `37%` || lore[1] == `36%` || lore[1] == `35%` || lore[1] == `34%` || lore[1] == `33%` || lore[1] == `32%` || lore[1] == `31%` ) {
        battery.push("")
    }
    if (lore[1] == `30%` || lore[1] == `29%` || lore[1] == `28%` || lore[1] == `27%` || lore[1] == `26%` || lore[1] == `25%` || lore[1] == `24%` || lore[1] == `23%` || lore[1] == `22%` || lore[1] == `21%` ) {
        battery.push("")
    }
    if (lore[1] == `20%` || lore[1] == `19%` || lore[1] == `18%` || lore[1] == `17%` || lore[1] == `16%` || lore[1] == `15%` || lore[1] == `14%` || lore[1] == `13%` || lore[1] == `12%` || lore[1] == `11%` ) {
        battery.push("")
    }
    if (lore[1] == `10%` || lore[1] == `9%` || lore[1] == `8%` || lore[1] == `7%` || lore[1] == `6%` || lore[1] == `5%` || lore[1] == `4%` || lore[1] == `3%` || lore[1] == `2%` || lore[1] == `1%` ) {
        battery.push("")
    }
    if (item.id !== "smartphone:black_smartphone") return
    if (lore[0] !== `undefined`) {
        if (lore[0] !== `${player.nameTag}'s Smartphone`) {
            player.runCommand("titleraw @s actionbar {\"rawtext\":[{\"translate\":\"text.not_your_smartphone\"}]}")
        }
        if (lore[0] !== `${player.nameTag}'s Smartphone`) return
        if (item.getComponent('durability').damage == 100) return
        BlackCellphoneForm(player, lore, battery)
    } else {
        item.setLore([`${player.nameTag}'s Smartphone`])
        BlackCellphoneForm(player, lore, battery)
    }
})